## ros-melodic-xpp-msgs 1.0.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(xpp_msgs)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  std_msgs
  geometry_msgs
  sensor_msgs
)

## Generate messages in the 'msg' folder
add_message_files(
  FILES
  StateLin3d.msg
  State6d.msg
  RobotStateCartesianTrajectory.msg
  RobotStateCartesian.msg
  RobotStateJoint.msg
  RobotParameters.msg
  TerrainInfo.msg
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  std_msgs
  geometry_msgs
  sensor_msgs
)

###################################
## catkin specific configuration ##
###################################
catkin_package(
   INCLUDE_DIRS include
   CATKIN_DEPENDS
     message_runtime
     std_msgs
     geometry_msgs
     sensor_msgs 
)

#############
## Install ##
#############

# Mark topic names header files for installation
install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

=== debian/changelog ===
ros-melodic-xpp-msgs (1.0.10-0bionic) bionic; urgency=high

  * Improve docs (#8 <https://github.com/leggedrobotics/xpp/issues/8>)
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-melodic-xpp-msgs (1.0.9-0bionic) bionic; urgency=high



 -- Alexander W. Winkler <winklera@ethz.ch>  Mon, 09 Jul 2018 22:00:00 -0000

ros-melodic-xpp-msgs (1.0.8-0bionic) bionic; urgency=high



 -- Alexander W. Winkler <winklera@ethz.ch>  Fri, 06 Jul 2018 22:00:00 -0000

ros-melodic-xpp-msgs (1.0.7-0bionic) bionic; urgency=high



 -- Alexander W. Winkler <winklera@ethz.ch>  Mon, 02 Jul 2018 22:00:00 -0000

ros-melodic-xpp-msgs (1.0.6-0bionic) bionic; urgency=high



 -- Alexander W. Winkler <winklera@ethz.ch>  Tue, 17 Apr 2018 22:00:00 -0000

ros-melodic-xpp-msgs (1.0.5-0bionic) bionic; urgency=high

  * modernize CMake files
  * use default BSD license
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Wed, 31 Jan 2018 23:00:00 -0000

ros-melodic-xpp-msgs (1.0.4-0bionic) bionic; urgency=high

  * Merge pull request #3 from leggedrobotics/devel
    Fix xacro bug and remove terrain and optimization specific classes.
  * removed optimization related topic names
  * rename OptParameters.msg to more concise RobotParameters.msg
  * removed UserCommand msg and terrain_builder class
  * renamed some launch files
  * Contributors: Alexander W Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Tue, 02 Jan 2018 23:00:00 -0000

ros-melodic-xpp-msgs (1.0.3-0bionic) bionic; urgency=high

  * 1.0.2
  * update changelog
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Thu, 02 Nov 2017 23:00:00 -0000

ros-melodic-xpp-msgs (1.0.2-0bionic) bionic; urgency=high



 -- Alexander W. Winkler <winklera@ethz.ch>  Fri, 27 Oct 2017 22:00:00 -0000

ros-melodic-xpp-msgs (1.0.1-0bionic) bionic; urgency=high



 -- Alexander W. Winkler <winklera@ethz.ch>  Thu, 26 Oct 2017 22:00:00 -0000

ros-melodic-xpp-msgs (1.0.0-0bionic) bionic; urgency=high

  * removed robot specific bag files from xpp_msgs
  * added separate xpp_example package and Readme.md
  * included install space in CMakeLists.txt
  * changed catkin pkg dependencies to roscpp
  * formatting
  * Added license to files and giving credit to contributors.
  * cleaned up package.xml and CMakeLists.txt files
  * removed biped and quadruped joint identifier
  * Merge remote-tracking branch 'xpp_msgs/master'
    Conflicts:
    .gitignore
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Wed, 25 Oct 2017 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-xpp-msgs
Section: misc
Priority: extra
Maintainer: Alexander W. Winkler <alexander.w.winkler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-message-runtime, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: http://github.com/leggedrobotics/xpp
Standards-Version: 3.9.2

Package: ros-melodic-xpp-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-message-runtime, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Description: ROS messages used in the XPP framework.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-xpp-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
